package cmd

import (
	"fmt"

	"github.com/pterm/pterm"
	"github.com/spf13/cobra"
	"github.com/spf13/viper"
)

// listCmd represents the list command
var aliasListCmd = &cobra.Command{
	Use:     "list",
	Aliases: []string{"dump", "show", "ls", "ll", "l"},
	Short:   "List Aliases",
	PreRun:  mustHaveAliases,
	Long:    aliasListCmdLong,
	Run:     runListAliasCmd,
}

func runListAliasCmd(cmd *cobra.Command, args []string) {
	remotes := viper.GetStringSlice(FlagRemote)
	pterm.DefaultBox.
		WithLeftPadding(5).WithRightPadding(5).
		WithBoxStyle(&pterm.Style{pterm.FgLightBlue}).
		WithTitle(pterm.Bold.Sprint(pterm.LightGreen("Aliases by Project"))).
		Print("\n" + projectCache.AliasesByProjectString(remotes...))
	fmt.Print("\n\n")
}

func init() {
	aliasCmd.AddCommand(aliasListCmd)
}
