package cmd

import (
	"fmt"

	"github.com/spf13/cobra"
	"github.com/spf13/viper"
)

var dumpCmd = &cobra.Command{
	Use:     "dump",
	Short:   "Dump GitLab project cache",
	Long:    `Dumps cache to display`,
	PreRun:  runCacheCmd,
	PostRun: postCacheCmd,
	Run:     runCacheDunpCmd,
}

func runCacheDunpCmd(cmd *cobra.Command, args []string) {
	remotes := viper.GetStringSlice(FlagRemote)
	if conf.Dump.Full {
		fmt.Println(projectCache.DumpString(true, searchStringFromArgs(args), remotes...))
	} else {
		plog.Info(projectCache.String())
	}
}

func init() {
	cacheCmd.AddCommand(dumpCmd)
	dumpCmd.PersistentFlags().BoolP("full", "f", false, "Dumps entire cache")
	viper.BindPFlag("dump.full", dumpCmd.LocalFlags().Lookup("full"))
}
