package cmd

import (
	"fmt"

	"github.com/spf13/cobra"
	"github.com/spf13/viper"
)

var projectListCmd = &cobra.Command{
	Use:     "list",
	Short:   "List GitLab Projects",
	Aliases: []string{"ls", "l"},
	Long:    projListCmdLong,
	Run:     projectListCmdRun,
}

func projectListCmdRun(cmd *cobra.Command, args []string) {
	remotes := viper.GetStringSlice(FlagRemote)
	fmt.Println(projectCache.DumpString(viper.GetBool(ViperProjectListAll), searchStringFromArgs(args), remotes...))
}

func init() {
	projectCmd.AddCommand(projectListCmd)
	projectListCmd.PersistentFlags().Bool(FlagAll, false, "List all, not just cloned locally")
	viper.BindPFlag(ViperProjectListAll, projectListCmd.Flag(FlagAll))
}
